#pragma once

#include "CoreMinimal.h"
#include "BasePlayerAttackSubAnimInstance.h"
#include "BaseKillerAttackSubAnimInstance.generated.h"

class AKiller;

UCLASS(Blueprintable, NonTransient)
class DBDANIMATION_API UBaseKillerAttackSubAnimInstance : public UBasePlayerAttackSubAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	AKiller* _owningKiller;

protected:
	UFUNCTION(BlueprintPure)
	AKiller* GetOwningKiller() const;

public:
	UBaseKillerAttackSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UBaseKillerAttackSubAnimInstance) { return 0; }
